XILP(8)

NAME
xilp - LPD protocol server driver (OBSOLETE)

SYNOPSIS
xilp -H hostname [ -p port ] [ -h ] [ -r ] [ -# n ] [ -U user ] [ -P ptr ] [ -J name ] [ -F name ] [ file ... ]

DESCRIPTION
xilp is a terminal server program for use by GNUspool where the destination is an LPD server.

It has been largely superseded by xtlpc(8).

OPTIONS

-H hostname
    This is the host name or IP address to be used to access the printer. In GNUspool setup files, it may be appropriate to substitute $SPOOLDEV or $SPOOLPTR here.

-p port number
    This is the port number or service port name to be used.

-h  Enable banner page

-r  Remove file on completeion

-# n
    Set number of copies to n.

-U user
    Set user name to user.

-P ptr
    Set printer name to ptr

-C class
    Set printer name to class

-J file
    Synonym for -F.

-F file
    Set file name to file.

DIAGNOSTICS
xilp generates any appropriate diagnostics on standard error.

EXIT CODES
Normal termination is denoted by an exit code of zero.

Most of the other exit codes are determined by the control file and can be adjusted by the user as required.

1.  Device appears to be offline

2.  Device error, cannot connect socket etc.

3.  Usage error invalid argument etc

4.  System error, no service ports etc.

SEE ALSO
xtelnet(8), xtlhp(8), xtftp(8), xtlpc(8).

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
A N Other, Xi Software Ltd.